# Copyright (c) 2007 SIEGE Development Team
# All rights reserved.
#
# This file is part of libSIEGE.
#
# This software is copyrighted work licensed under the terms of the
# 2-clause BSD license. Please consult the file "license.txt" for
# details.
#
# If you did not recieve the file with this program, please email
# Tim Chas <darkuranium@gmail.com>.

from siege.common cimport *
cimport keyboard

cpdef getKey(SGenum key):
    return bool(sgKeyboardKey(key))
cpdef getKeyPress(SGenum key):
    return bool(sgKeyboardKeyPress(key))
cpdef getKeyRelease(SGenum key):
    return bool(sgKeyboardKeyRelease(key))

cpdef getChar(SGdchar chr):
    return bool(sgKeyboardChar(chr))
cpdef getCharPress(SGdchar chr):
    return bool(sgKeyboardCharPress(chr))
cpdef getCharRelease(SGdchar chr):
    return bool(sgKeyboardCharRelease(chr))
